kcapi_akcipher_init
Prev | Asymmetric Cipher API - Generic | Next

## Name

kcapi_akcipher_init — initialize cipher handle

## Synopsis

`int kcapi_akcipher_init (` | struct kcapi_handle ** handle,
| const char * ciphername,
| uint32_t flags`)`;

## Arguments

`handle`

  [out] cipher handle filled during the call

`ciphername`

  [in] kernel crypto API cipher name as specified in /proc/crypto

`flags`

  [in] flags specifying the type of cipher handle

## Description

This function provides the initialization of an asymmetric cipher handle and establishes the connection to the kernel.

On success, a pointer to kcapi_handle object is returned in *handle. Function kcapi_akcipher_destroy should be called afterwards to free resources.

`return` 0 upon success; -ENOENT - algorithm not available; -EOPNOTSUPP - AF_ALG family not available; -EINVAL - accept syscall failed -ENOMEM - cipher handle cannot be allocated

Prev | Up | Next
Asymmetric Cipher API - Generic | Home | kcapi_akcipher_destroy